# yizhi-multipart-reader

一个 没有任何依赖的 `multipart/form-data` 内容读取工具


## 简单用例

```typescript

import { MultipartReader, File } from 'yizhi-multipart-reader'

const reader = new MultipartReader({
	//请求，类型为：http.IncomingMessage
	req: ctx.req,
	//formdata分隔符，从headers['content-type']中取得
	boundary: 'boundary from content-type',
	//文件保存位置
	saveDir: '/path/to/savedir',
})

const { fields, files } = await reader.wait()

```